### Struct

# Ggit FetchOptions

#### Description [src]

    struct GgitFetchOptions {
      /* No available fields */
    }

Represents a git fetch options.

#### Constructors

###### ggit_fetch_options_new

Creates a new `GgitFetchOptions`.

#### Instance methods

###### ggit_fetch_options_copy

Copies `fetch_options` into a newly allocated `GgitFetchOptions`.

###### ggit_fetch_options_free

Frees `fetch_options`.

###### ggit_fetch_options_get_download_tags

Get how tags are being handled when fetching/downloading.

###### ggit_fetch_options_get_remote_callbacks

Get the remote callbacks object or `NULL` if not set.

###### ggit_fetch_options_set_download_tags

Set how tags are being handled when fetching/downloading.

###### ggit_fetch_options_set_remote_callbacks

Set the fetch options object.